import { createRoot } from "react-dom/client";
import { ErrorBoundary } from "react-error-boundary";
import App from "./App";
import { ErrorFallback } from "./components/ErrorFallback/ErrorFallback";
import "./styles/global.css";
import "./styles/variables.css";

const container = document.getElementById("root");

if (container) {
  createRoot(container).render(
    <ErrorBoundary FallbackComponent={ErrorFallback}>
      <App />
    </ErrorBoundary>,
  );
}
